#!/bin/sh

sqlite3 "$REPOCOP_TEST_TMPDIR/tmp.db" <<EOSQL
ATTACH DATABASE '$REPOCOP_TEST_DBDIR/rpm.db' AS rpm;
.mode tabs
.output $REPOCOP_TEST_TMPDIR/msg
SELECT pkgid FROM rpm WHERE vendor IS NULL OR vendor <> 'ALT Linux Team';
EOSQL
# opera64-dev: distribution condition?
sed -i '/^opera64-dev/d' $REPOCOP_TEST_TMPDIR/msg
sed -i '/^opera-dev/d' $REPOCOP_TEST_TMPDIR/msg
for i in `cat $REPOCOP_TEST_TMPDIR/msg`; do repocop-test-warn -k $i "Bad Vendor: tag in a package."; done
rm $REPOCOP_TEST_TMPDIR/*
